<?php
declare(strict_types=1);

namespace WP_AUX\Enum;

use WP_AUX\Interfaces\OptionsEnumInterface;
use WP_AUX\Traits\EnumTraits;

enum CuratedCollectionBackfillOptionsEnum: string implements OptionsEnumInterface
{
  use EnumTraits;

  case None = 'none';
  case Related = 'related';
  case Recent = 'recent';

  public const SETTING_LABEL = 'Curated Collection backfill options';

  public function label(): string
  {
    return match($this) {
      self::None => 'Do not backfill',
      self::Related => 'Related',
      self::Recent => 'Recent',
    };
  }
}
